Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 187850 - NullPointerException at org.netbeans.modules.viewmodel.DelegatingCellEditor.removeCellEditorListener
NullPointerException at org.netbeans.modules.viewmodel.DelegatingCellEditor.r...
Status: VERIFIED FIXED
Product: debugger
Classification: Unclassified
Component: Code
6.x
All All
: P3 (vote)
: 7.0
Assigned To: Martin Entlicher
issues@debugger
EXCEPTIONS_REPORT, 69patch1
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-20 12:54 UTC by Martin Entlicher
Modified: 2010-06-22 09:47 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.01 KB, text/plain)
2010-06-20 12:55 UTC, Martin Entlicher
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2010-06-20 12:54:57 UTC
Build: NetBeans IDE Dev (Build 100521-27e9d1a9b692)
VM: Java HotSpot(TM) Client VM, 14.2-b01, Java(TM) SE Runtime Environment, 1.6.0_16-b01
OS: Linux

User Comments:
mentlicher: While editing a watch, click somewhere else.




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.viewmodel.DelegatingCellEditor.removeCellEditorListener(DelegatingCellEditor.java:203)
   at javax.swing.JTable.removeEditor(JTable.java:5806)
   at org.netbeans.swing.etable.ETable.removeEditor(ETable.java:2096)
   at javax.swing.JTable.editingCanceled(JTable.java:4737)
   at org.netbeans.modules.debugger.ui.models.ColumnModels$WatchesTableCellEditor.focusLost(ColumnModels.java:683)
   at java.awt.AWTEventMulticaster.focusLost(AWTEventMulticaster.java:213)
Comment 1 Martin Entlicher 2010-06-20 12:55:01 UTC
Created attachment 100251 [details]
stacktrace
Comment 2 Martin Entlicher 2010-06-20 13:06:02 UTC
Belongs to the debugger.
It's annoying - when it occurs it breaks the closing of the watch editor and therefore it's thrown again on every subsequent attempt to close it.
Comment 3 Martin Entlicher 2010-06-20 15:50:14 UTC
Fixed in changeset:   173296:b1579f81d889
http://hg.netbeans.org/main/rev/b1579f81d889
Comment 4 Quality Engineering 2010-06-21 03:21:36 UTC
Integrated into 'main-golden', will be available in build *201006210001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/b1579f81d889
User: mentlicher@netbeans.org
Log: #187850 Handle remove of the CellEditorListener from the inner editor even after editing is stopped.
Comment 5 rbalada 2010-06-21 16:01:20 UTC
Please verify bugfix for this bug, so it can be integrated into release691 repository.

Thanks,
-R
Comment 6 Marian Mirilovic 2010-06-22 07:56:52 UTC
verified in 201006220001
Comment 7 rbalada 2010-06-22 09:47:39 UTC
main #b1579f81d889 transplanted to release691 #39fd068a60d5


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo